Gallery Platform API
Reference

List saved report views

Lists the gallery's saved report views (column/sort configurations). Filter by `report_key`.

GET
/gallery/saved-reports

Lists the gallery's saved report views (column/sort configurations). Filter by report_key.

Authorization

bearerAuth reports:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: reports:read

Query Parameters

report_key?string
Length1 <= length <= 100

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "report_key": "string",      "name": "string",      "config": {        "hidden": [],        "sort": {          "id": "string",          "desc": true        }      },      "owner_id": "string",      "created_at": "string",      "updated_at": "string"    }  ]}